> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1bank institutions



## OpenAPI

````yaml /api-reference/openapi.json post /v1/bank-institutions
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/bank-institutions:
    post:
      tags:
        - BankInstitution
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DTOBankInstitutionCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/DTOBankInstitutionCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DTOBankInstitutionCreateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
components:
  schemas:
    DTOBankInstitutionCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        products:
          type: string
          nullable: true
        countries:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        plaidId:
          type: string
          nullable: true
      additionalProperties: false
    DTOBankInstitutionResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        products:
          type: array
          items:
            type: string
          nullable: true
        countries:
          type: array
          items:
            type: string
          nullable: true
        url:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        plaidId:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false

````